## org.eclipse.datatools.connectivity
Interface IServerVersionProvider

All Known Implementing Classes:
  DriverConnectionBase, HSQLDBJDBCConnection, JDBCConnection, JDBCConnection, SQLITEJDBCConnection, VersionProviderConnection

    public interface IServerVersionProvider

Provides version information about the server and technology supported by the server to the connection profile framework. The provider version is only collected by connections created from the "ping" connection factory.

Author:
  rcernich Created on May 31, 2005

Method Summary
`java.lang.String` `getProviderName()`
`Version` `getProviderVersion()`
`java.lang.String` `getTechnologyName()`
`Version` `getTechnologyVersion()`

Method Detail

### getProviderVersion

    Version getProviderVersion()

  Returns:
    the version of the server (e.g. 12.5)

### getProviderName

    java.lang.String getProviderName()

  Returns:
    the name of the provider (e.g. ASE)

### getTechnologyVersion

    Version getTechnologyVersion()

  Returns:
    the version of the technology running on the server (e.g. 1.1)

### getTechnologyName

    java.lang.String getTechnologyName()

  Returns:
    the technology name; null if not supported (e.g. JMS)